Loading...
Searching...
No Matches
DObject.cpp File Reference

Implementation of the DObject class. More...

`#include "DObject.h"`
`#include <iostream>`
`#include <stdexcept>`

Go to the source code of this file.

## Functions

std::ostream & | operator<< (std::ostream &os, const DObject &obj)
| Provides a human-readable summary of the DObject.

## Detailed Description

Implementation of the DObject class.

Provides the implementation for a universal data container with plugin support.

Definition in file DObject.cpp.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const DObject & | obj )

Provides a human-readable summary of the DObject.

Useful for quick inspection or logging during debugging sessions.

Parameters

  os | The output stream to write to.
  obj | The DObject to summarize.

Returns
  A reference to the output stream.

Definition at line 126 of file DObject.cpp.